class TMissiles
{
public:
	struct TBullets
	{
		float dx, dy, speed, ttx, tty, lenght, MaxLenght, rotation; //тут dx, dy это отношение оси X к оси Y
		int type;
	};

	TMissiles(HTEXTURE BulletType);
	Update(float dt);
	Render(float X, float Y);
	Add();
	Delete(int Index);
	
	TBullets bullets[1000];
	int MaxBullets;


private:

	hgeSprite *sprBulletType1, *sprBulletType2, *sprBulletType3, *sprBulletType4;
	float ShotTime; 
	bool MDownLeft;
	float dx, dy;   //тут dx, dy это величина, на которую пуля смещается при каждом Update'е //так же необходимо для вычисления пройденного пути
};